Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.support.nativejdbc
Class OracleJdbc4NativeJdbcExtractor

    java.lang.Object
      org.springframework.jdbc.support.nativejdbc.NativeJdbcExtractorAdapter
          org.springframework.jdbc.support.nativejdbc.Jdbc4NativeJdbcExtractor
              org.springframework.jdbc.support.nativejdbc.OracleJdbc4NativeJdbcExtractor

All Implemented Interfaces:
  NativeJdbcExtractor

    public class OracleJdbc4NativeJdbcExtractor

extends Jdbc4NativeJdbcExtractor

A `Jdbc4NativeJdbcExtractor` which comes pre-configured for Oracle's JDBC driver, specifying the following vendor-specific API types for unwrapping:

- `oracle.jdbc.OracleConnection`
- `oracle.jdbc.OracleStatement`
- `oracle.jdbc.OraclePreparedStatement`
- `oracle.jdbc.OracleCallableStatement`
- `oracle.jdbc.OracleResultSet`

Note: This will work with any JDBC 4.0 compliant connection pool, without a need for connection pool specific setup. In other words, as of JDBC 4.0, NativeJdbcExtractors will typically be implemented for specific drivers instead of for specific pools.

Since:
  3.0.5
Author:
  Juergen Hoeller

Constructor Summary
`OracleJdbc4NativeJdbcExtractor()`

Method Summary

Methods inherited from class org.springframework.jdbc.support.nativejdbc.Jdbc4NativeJdbcExtractor
`doGetNativeConnection, getNativeCallableStatement, getNativePreparedStatement, getNativeResultSet, getNativeStatement, setCallableStatementType, setConnectionType, setPreparedStatementType, setResultSetType, setStatementType`

Methods inherited from class org.springframework.jdbc.support.nativejdbc.NativeJdbcExtractorAdapter
`getNativeConnection, getNativeConnectionFromStatement, isNativeConnectionNecessaryForNativeCallableStatements, isNativeConnectionNecessaryForNativePreparedStatements, isNativeConnectionNecessaryForNativeStatements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleJdbc4NativeJdbcExtractor

    public OracleJdbc4NativeJdbcExtractor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD